# The script of the game goes in this file.

# Declare characters used by this game. The color argument colorizes the
# name of the character.

define fz = Character("F. Zwicky")
define vr = Character("V. Rubin")
define na = Character("Nicolas")
image na Show = "nicShow.png"
image na norm = "nic.png"
image fz Crazy = "fz710.png"
image vr micro = "Vera.png"
image fz Sitting = "FzSittingl.png"
image Cal1940 = "Cal1941.png"
image fzOff = "Office_nothing.png"
image TelClosed = "TelClosed.png"
image TelAndro = "TelAndromeda.png"
image TelAndro2 = "Te2.png"
image TelOuts = "Tel_corr2.png"
image Coma = "coma.png"
image Bullet = "BltN.png"
image ComaHD = "Comacomacoma.png"
image BLTLUX = "BltLUX.png"

image MW = "Office_Here.png"
image RS = "Office_shifted.png"


label splashscreen:
    
    $ renpy.movie_cutscene('DMD_logo_animation_prores.webm')
    
    return


# The game starts here.
label start:

    play music "piano2.ogg" fadein 2
    scene Bullet
    with Dissolve(1)
   
    "This is a visual novel on the birth of an idea that changed the world of Physics."
    "Dark Matter is the stuff nothing is made out of, yet it makes up most of everything."
    "Crazy isn't it?"
    "Even though the birth of this idea took place in Astrophysics, it has since inspired much research in other areas within Physics."
    "This mystery has even inspired art, music and science fiction."

##############################################################
#    Nicolas
#############################################################

    show na norm
    with easeinbottom
    na "Hello, my name is Nicolas and I am a PhD student in physics with a deep interest in the dark and elusive."
    na "With the help of technology I have summoned some of the most important people in this field to help me tell you this story."
    na "Even though historical accuracy was one of the goals of this novel, please keep in mind that the dialogue this story follows does not represent real events or use direct quotes."
    na "I hope you enjoy this story. I will see you again in a few minutes. "

    hide na norm
    with easeoutbottom
    pause 1
    stop music fadeout 1



##############################################################
#    CALIFORNIA
#############################################################
    scene Cal1940
    with wipeleft
    play music "cal.ogg" fadein 1
    pause 1
    "California - 1933"
    "This is where it all started."
    "With one of the most colourful personalities in the history of dark matter; Fritz Zwicky."
    "Zwicky's name is now strongly connected with neutron stars, dark matter, and gravitational lenses."
    "However, back in the day, his brilliance was met with skepticism."
    stop music fadeout 1
    pause 1


##############################################################
#    FRITZ ZWICKY
#############################################################
    scene fzOff
    with pushleft
    show fz Sitting
    with easeinbottom
    play sound "aroused.ogg"
    play music "Piano_reverse.ogg" fadein 2
    fz "Ah, you must be my new Summer Student."
menu:
        "Actually, I am here to ask about 'Dunkle Materie'.":
            jump HereDM
        "Yes, Sir!":
            jump YesNvm
label HereDM:
    fz "Wonderful! My findings must have finally drawn the attention they deserved."
    fz "Please, take a seat."
    jump afterStudent
label YesNvm:
    fz "Ah. For some reason I imagined you being younger."
    fz "Well, I am happy to see you've finally made it here. Let us proceed."
label afterStudent:
    show fz Sitting at right
    with move


##############################################################
#    FRITZ ZWICKY
#############################################################
    scene Coma
    show fz Sitting at right
    fz "This is the Coma Galaxy Cluster."
    fz "It is so far away that light emitted from the one thousand galaxies it is composed of takes 351 million years to reach us."
    fz "If you hold your hand up in the sky your thumb completely covers it."
    fz "It has been the centre of my research for several months now."

label GalaxyMenu:
menu:
    "What is a Galaxy?":
        jump Galaxy
    "What is so special about the Coma Cluster?":
        jump WhatSpecial
label Galaxy:
    fz "Good question!"
    fz "A galaxy is a collection of millions or billions of stars, just like our own Sun."
    fz "Galaxies also contain gases of particles and dust, all held together by gravity."
    scene MW
    show fz Sitting at right
    fz "This is where we are."
    fz "The Sun, the Earth, all the planets, look like one dot compared to the Milky Way galaxy."
    fz "It is estimated to contain 100–400 billion stars."
    scene Coma
    show fz Sitting at right
    jump GalaxyMenu
label WhatSpecial:
    fz "I was first drawn to this cluster to measure the velocities of galaxies residing within it."
    fz "My calculations were based on the redshift of light emitted from the outer parts of the cluster as they orbit around its centre."

label RedshiftMenu:
menu:
    "What is redshift?":
        jump Redshift
    "Go on":
        jump noRedshift
label Redshift:
    fz "You see, redshift is the phenomenon observed when light emitted from a moving object arrives at the observer with a frequency that is shifted."
#    fz "A white lamp mounted on a spaceship travilling towards us with a significantly high velocity will appear to be red."
#    fz "If the spaceship is moving away from us, the light we see coming from the lamp will appear to be blue."
    fz "In simpler terms, the colour of the light observed does not always correspond to the colour of the light at the source."
    fz "In direct analogy to the change of the pitch of a siren mounted on a moving vehicle as it passes by."
    scene RS
    show fz Sitting at right
    fz "Light emitted by a source moving towards the observer would have a shorter wavelength and thus a colour closer to blue light."
    fz "A source receding from the observer will produce light that seems to be longer in wavelength and thus closer to red light."
    scene Coma
    show fz Sitting at right
    jump RedshiftMenu
label noRedshift:
    fz "After measuring the velocities of 7 individual galaxies, I went on to calculate the mass of the Galaxy."
    fz "I have then used the Virial Theorem to relate the measured rotating velocity of the cluster with the gravitational force holding it together."
    fz "Newton tells us that the gravitational force that the outer regions of the cluster experience should be proportional to the inner region's mass."
    fz "However, the mass can also be calculated from another observation."
    fz "The second way mass can be calculated is through the measurement of the absolute amount of light emitted from the galaxies in the cluster."
    fz "The two numbers don't match !!!"
    fz "My calculations require approximately five hundred times more light-producing matter to explain the high rotation velocities"

label beforeQuestion:
menu:
    "Could your first calculation using the Virial Theorem be wrong?":
        jump VirTh
    "Could your second calculation concerning the Light-to-Mass ratio be wrong?":
        jump LightMass
    "Could neither of your calculations be wrong?":
        jump Discovery
label VirTh:
    fz "For this theorem to have been wrong, we would have to admit that the laws of gravity do not apply exactly to these larger scales."
    fz "General relativity does not manifest any scale dependence. I highly doubt that Einstein was wrong."
    jump beforeQuestion
label LightMass:
    fz "This measurement was based on, and compared with, similar measurements from the near by Kapteyn stellar system."
    fz "By admitting there is a mistake here we admit that there is something extremely special about this cluster."
    fz "There is no reason to believe that the universe is not isotropic at these large scales."
    jump beforeQuestion
label Discovery:
    fz "Exactly!"
    fz "For both of the above calculations to be correct, there has to be a very large distribution of mass in the Coma Cluster that neither emits or absorbs light."
    fz "A kind of 'dark matter' that holds this cluster together yet it remains invisible."

    hide fz Sitting
    with easeoutright
    show fz Crazy at left
    with easeinleft
    play sound "oldManLaugh.ogg"

    fz "Do you understand now why it is so hard to make people believe me?"
    fz "This would change the way we look at the Universe."
    fz "To this day, only one other Astrophysicist has shown similar observations."
    fz "Jan Oort has put forward that the mass of the Milky Way has to be much higher than measured."
    fz "However he was not crazy enough to see what I see now, to see that there is something more rather than something less..."



    play sound "ding.ogg"
    pause 1
    fz "Oh my, I always forget about the time when I engage in such interesting conversation."
    fz "I am afraid this is where we have to say goodbye, for now."

menu:
    "For what it is worth, I believe you.":
        jump Beieve
    "Goodbye, for now.":
        jump later

label Beieve:
    fz "One day the world will look back and see that 'Nobody listened to crazy Fritz'."
label later:
    fz "Be careful out there, the world is full of spherical bastards."
    
    ##############################################################
    #    VERA RUBIN
    #############################################################
    hide fz Crazy
    with Dissolve(.5)
    stop music fadeout 1
    pause 1
    play music "outsideTelescope.ogg" fadein 1
    scene TelOuts
    with pushleft


    "Mount Palomar Observatory, California - 1965"
    "A historic location where Fritz Zwicky carried out most of his measurements."
    "However, we are here to meet someone else."
    "On this day and year, we have arrived to speak to Vera Rubin. A visionary and pioneer of her time."
    "Against much resistance, she was the first woman to be granted permission to occupy telescope time."
    "And with that, she sparked a renaissance in the world of cosmology and revived the concept of dark matter."
    
    stop music fadeout 1
    pause 1

    scene TelClosed
    with pushleft
   
    show vr micro
    with easeinbottom
    play sound "ArousedVR2.ogg"
    play music "Piano_reverse.ogg" fadein 1

    vr "This is most interesting!"
    vr "Oh, I apologise, I didn't see you there."
    vr "I don't mean to be rude. I just want to finish analysing this data. I can't wait to show Kent."
label beforeKent:
   menu:
    "Who is Kent?":
        jump Kent
    "What is it that you are looking at?":
        jump Andromeda

label Kent:
    vr "Oh, you must not be part of this Lab then."
    vr "It's amazing how much trouble women have had getting in here but strangers walk all the way to the telescope instrument with no trouble. Fascinating in a way, disturbing in another."
    vr "Nonetheless, I was referring to my dear colleague Kent Ford."
    vr "He and I have been taking measurements of nearby galaxies and galaxy clusters."
    jump beforeKent
label Andromeda:
    vr "Together with Kent, I have been examining the rotation velocities of near-by galaxies."
    vr "The director of this institute, Horace W. Babcock, has made some interesting claims and we are extending his research to investigate this result."
   



    show vr at right
    with move
    scene TelAndro
    with wipeleft
    vr "Our focus lies on the Andromeda galaxy."
    vr "Andromeda is the nearest galaxy to the Milky way with light taking only two and a half million years to travel between the two."
    vr "Our specific interest lies in the velocity distribution of objects in the outer regions of the galaxy."

label beforeAskFritz:
menu:
    "Is this similar to the research of Fritz Zwicky?":
        jump FZSimilar
    "What are your results then?":
        jump results
label FZSimilar:
    vr "One could claim that our interest is similar."
    vr "We are both concerned on the behaviour of the outer regions of large celestial structures."
    vr "However, Zwicky's measurements and claims only covered the scale of galaxy clusters."
    vr "This research aims to draw the same analogy for a number of observed galaxies."
    jump beforeAskFritz
label results:
    vr "Our measurements, to a degree, also agree with the conclusions drawn previously by Zwicky."
    vr "There is a lot more out there than we initially thought. Dark matter is a necessary component of the universe, otherwise galaxies would be flying apart."
    scene TelAndro2
    vr "More specifically, as is shown by this figure of plotted data, the radial distribution of the necessary dark component can be inferred."
    vr "This is done by comparing the observed distribution of mass in the galaxy, as shown in red, with the required amount of matter needed to hold the galaxy together shown in green."
    vr "Since the two are not identical, there is a need for the dark matter distribution, shown in blue, to account for the missing mass."
    vr "Resembling a halo, the distribution of dark matter is required to increase with the radius from the centre of the galaxy."
    vr "Only such a steeply increasing distribution would be able to allow galaxies to rotate this fast and not fly apart."
    scene TelAndro
    vr "Continuing this research will allow for a more accurate description of the distribution of dark matter in galaxies."
    vr "It will also allow for a more precise estimate of exactly what percentage of the Universe is composed of this non-luminous constituent."
    vr "But for now, my work continues."
    vr "I hope we meet again. Maybe when I will have more answers than questions. "

    stop music fadeout 1


##############################################################
#    Nicolas
#############################################################

    scene Bullet
    with pushright
#    with fadein
    play music "piano2.ogg" fadein 1
    pause 1
    show na norm at left
    with easeinleft
    na "Welcome back to the present."
    na "I hope that this was not too long of a trip through history."
    na "The foundation laid by the two brilliant scientists you have met with and their groups has now grown into a race for discovery."
    na "Some say it is only a matter of time until we understand what dark matter is. Today we have three distinct ways of trying to investigate its nature."
    na "These are Direct Detection, Indirect Detection and Collider Searches."



##############################################################
#    Direct, Indirect, Collider
#############################################################
label DDIDAS:
menu:
    "Tell me more about Direct Detection.":
        jump DD
    "Tell me more about Indirect Detection.":
        jump ID
    "Tell me more about Collider Searches.":
        jump CS
    "I will trust you on the brilliance of these searches.":
        jump afterDDIDAS
label DD:
    hide na norm
    with easeoutleft
    show na Show at right
    with easeinright

    na "Direct detection is the area of particle physics where the interaction between normal matter and dark matter is attempted to be detected."
    
    scene BLTLUX
    show na Show at right
    na "This interaction is in the form of a collision between a dark matter particle and a normal matter particle in a target material such as this."
    na "This particular image shows the Large Underground Xenon experiment, or LUX."
    na "Amongst several other experiments of its type, these heavy and radioactively clean experiments are leading the direct searches."
    na "What they try to look for are energy deposits that have characteristics agreeing with the theoretical prediction for dark matter particles."
    na "Even though no evidence of a detection has been identified yet, their null result allows us to reject specific theoretical models."

    scene Bullet
    show na Show at right
    
    na "Incidentally, this is the area I am currently working on."
    
    hide na Show
    with easeoutright
    show na norm at left
    with easeinleft
    jump DDIDAS
label ID:
    hide na norm
    with easeoutleft
    show na Show at right
    with easeinright
    
    na "In indirect detection, Astrophysicists like Vera Rubin and Fritz Zwicky try to identify the effects of dark matter on large scales."
    na "All evidence and research presented to you in your trip through history constitute great examples of indirect detection efforts."
    na "In addition to observations of these gravitational effects, indirect dark matter detection looks for electromagnetic waves; photons, coming from space."
    na "These signals can be produced when two dark matter particles collide and annihilate, releasing energy in the form of photons."
    na "Any signature that cannot be attributed to normal matter interactions can potentially be tied to these dark matter self-interactions."
    na "Depending on the specific energy of these signals, a lot can be said about the interaction nature and type of the dark matter."
    na "Collaborations working on this field are usually composed of hundreds of members and the data they use comes from both earth based and orbiting telescopes."

    hide na Show
    with easeoutright
    show na norm at left
    with easeinleft
    jump DDIDAS
label CS:
    hide na norm
    with easeoutleft
    show na Show at right
    with easeinright
    
    na "When it comes to Collider Searches, dark matter represents one of the most recent novel interests."
    na "The data produced at a particle collider such as the Large Hadron Collider in Geneva is used to investigate dark matter."
    na "What they can study through particle collisions is the production of dark matter particles from the energy released after each collision of two normal matter particles."
    na "Using the law of conservation of energy and momentum, physicists would look for unaccounted for energy in the products of a collision."
    na "Since energy cannot be produced or destroyed, any missing energy must have been carried away by an elusive particle, possibly a dark matter particle."
    na "Since there are so many possibilities for the products of each collision and due to the extremely elusive nature of dark matter, this search is one of the hardest to pursue."
    na "Just like Direct Detection, the absence of any signature corresponding to a predicted model, allows us to reject some hypotheses."
    
    hide na Show
    with easeoutright
    show na norm at left
    with easeinleft
    jump DDIDAS

label afterDDIDAS:
    show na norm at center
    with move
    na "Even though consensus has not been reached for a recorded signal yet, the efforts continue"
    na "The quest is a long one, but the prize is invaluable."

##############################################################
#    BLT Cluster
#############################################################

    na "As a final point I want to briefly mention two things."
    na "Firstly, I want to name the picture that has framed several scenes of this novel."

    hide na norm
    with easeoutright
    show na Show at right
    with easeinright
    
    na "This structure is known as The Bullet Cluster."
label beforeBullet:
menu:
    "Tell me more about the Bullet Cluster.":
        jump bulletcluss
    "You may proceed to the second point.":
        jump final
label bulletcluss:
    na "The Bullet Cluster represents one of the most concrete evidence for the existence, quantity and nature of dark matter."
    na "It was produced after the collision of two large clusters of galaxies."
    na "The areas shaded in pink represent the location of light-emitting gas in the centre of the galaxies of the two clusters. "
    na "As the galaxies pass through each other, luminous, normal matter experiences multiple collisions causing spallation. "
    na "Inferred through gravitational lensing effects, the areas shaded in blue represent regions of high mass density."
    na "The lack of distortion in the mass distribution indicates that the majority of mass in the clusters is composed of non luminous collision-less particles"
    jump beforeBullet

label final:
    hide na Show
    with easeoutright
    show na norm at center
    with easeinright
    na "My final point in this novel involves a huge 'Thank you'."
    na "Thank you for supporting science and taking the time to take a look in the amazing work that is being done in universities and research labs around the world."
    na "Thank you for downloading this novel and thank you for telling your friends and family about it"
    na "Stay curious, stay informed and stay amazing!"
    na "Goodbye."
    
    hide na norm
    with easeoutbottom
    stop music fadeout 1

    return
